Winicontopam User Manual(0)

NAME
winicontopam - convert a Microsoft Windows icon file into a Netpbm PAM file

SYNOPSIS
winicontopam [-image=index | -allimages] [-andmasks] [-verbose] [icon_file]

All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one to designate an option. You may use either white space or equals signs between an option name and its value.

DESCRIPTION

This program is part of Netpbm(1) .

winicontopam reads a Microsoft Windows icon file and converts it to one or more RGB_ALPHA Netpbm PAM images.

There are two kinds of transparency information a a Windows icon can have: and mask and graded transparency map. The and mask is older and indicates for each pixel whether it is fully opaque or fully transparent. The graded transparency map can indicate translucent values too. The graded transparency map is present in an icon that uses PNG encoding or uses BMP encoding with 32 bits per pixel.

The transparency plane in the PAM output of winicontopam comes from
  the graded transparency map if it exists and the and mask otherwise.

An icon may actually have both forms of transparency information. See -andmasks.

The output goes to Standard Output.

The output is a multi-image PAM file. If you want a separate file for each image, use pamsplit(1) .

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), winicontopam recognizes the following command line options:

-allimages
    Convert all images in the input.

    You may not specify this together with -image.

    By default, winicontopam converts only the one "best quality" image (largest, then most bits per pixel).

-image=index
    Convert image number index (starting with zero).

    You may not specify this together with -allimages.

    By default, winicontopam converts the "best quality" image (largest, then most bits per pixel).

-andmasks
    If the image to be extracted contains both graded transparency data and an AND mask, produce five-channel Netpbm PAM images with the AND mask as the fifth plane. An image that formally has graded transparency data, but it indicates nothing but opaque pixels is considered not to have graded transparency data, so -andmasks would have no effect on it.

-verbose
    Print more messages

SEE ALSO

•   pamtowinicon(1)

•   winicontoppm(1)

•   pamsplit(1)

•   pam(1)

•   winicon(1)

For information on the PNG format, see http://schaik.com/png (http://schaik.com/png) .

HISTORY

winicontopam was new in Netpbm 10.63 (June 2013). It obsoleted winicontoppm by providing more function and conforming better to Netpbm conventions.

AUTHOR

Copyright (C) 2013 by Ludolf Holzheid.

Translated to Netpbm coding style by Bryan Henderson.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/winicontopam.html